### Enumeration

# JavaScriptCore CheckSyntaxMode

#### Declaration

    enum JavaScriptCore.CheckSyntaxMode

#### Description [src]

Enum values to specify a mode to check for syntax errors in jsc_context_check_syntax().

#### Members

`JSC_CHECK_SYNTAX_MODE_SCRIPT`

  Mode to check syntax of a script.

  - Value: `0`
  - Available since: 4.0
`JSC_CHECK_SYNTAX_MODE_MODULE`

  Mode to check syntax of a module.

  - Value: `1`
  - Available since: 4.0